#if !defined(AFX_LINKSVIEW_H__B331E95A_2DEF_11D4_9FC9_080009EE62AA__INCLUDED_)
#define AFX_LINKSVIEW_H__B331E95A_2DEF_11D4_9FC9_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LinksView.h : header file
//
// PN: Needed for CListView
#include <afxcview.h>

/////////////////////////////////////////////////////////////////////////////
// CLinksView view

class CLinksView : public CListView
{
protected:
	CLinksView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CLinksView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLinksView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CLinksView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CLinksView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	// PN: Note position of our manually-added Message Map entry
	afx_msg void OnSelChangedURL();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LINKSVIEW_H__B331E95A_2DEF_11D4_9FC9_080009EE62AA__INCLUDED_)
